Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.impl.invocation
Class JBossInterceptorStackFactory

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.server.impl.invocation.JBossInterceptorStackFactory

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, InterceptorStackFactory, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class JBossInterceptorStackFactory

extends AbstractJBossService
implements InterceptorStackFactory

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary
`protected java.util.List` | `dynamicInterceptorNames` .
`protected java.util.List` | `interceptorNames` .
`protected InterceptorStack` | `stack` .

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`JBossInterceptorStackFactory()`

Method Summary
`void` | `addInterceptor(javax.management.ObjectName name)` Add's the supplied name to the list of interceptor names.
`java.util.List` | `getDynamicInterceptorNames()`
`java.util.List` | `getInterceptorNames()`
`InterceptorStack` | `getInterceptorStack()`
`void` | `rebuild()` Rebuild the interceptor stack.
`void` | `removeInterceptor(javax.management.ObjectName name)` Remove's the supplied name from the list of interceptor names.
`void` | `setInterceptorNames(java.util.List interceptorNames)`
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### interceptorNames

    protected java.util.List interceptorNames

  .

### dynamicInterceptorNames

    protected java.util.List dynamicInterceptorNames

  .

### stack

    protected InterceptorStack stack

  .

Constructor Detail

### JBossInterceptorStackFactory

    public JBossInterceptorStackFactory()

Method Detail

### getInterceptorNames

    public java.util.List getInterceptorNames()

### setInterceptorNames

    public void setInterceptorNames(java.util.List interceptorNames)

### getDynamicInterceptorNames

    public java.util.List getDynamicInterceptorNames()

### getInterceptorStack

    public InterceptorStack getInterceptorStack()

  Specified by:
    `getInterceptorStack` in interface `InterceptorStackFactory`

### addInterceptor

    public void addInterceptor(javax.management.ObjectName name)
                        throws java.lang.Exception

  Add's the supplied name to the list of interceptor names.

  Parameters:
    `name` - the intercptor's ObjectName.
  Throws:
    `java.lang.Exception`

### removeInterceptor

    public void removeInterceptor(javax.management.ObjectName name)
                           throws java.lang.Exception

  Remove's the supplied name from the list of interceptor names.

  Parameters:
    `name` - the intercptor's ObjectName.
  Throws:
    `java.lang.Exception`

### startService

    public void startService()
                      throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### rebuild

    public void rebuild()
                 throws java.lang.Exception

  Rebuild the interceptor stack.

  Throws:
    `java.lang.Exception`

### stopService

    public void stopService()

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD